## LunarCalendar

LunarCalendar — Chinese Lunar Calendar widget for GTK+

## Functions

GtkWidget * | lunar_calendar_new ()
void | lunar_calendar_set_holiday_rgba ()
void | lunar_calendar_set_jieri_color ()

## Signals

void | activate | Action

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkCalendar
                    ╰── LunarCalendar

## Description

The LunarCalendar provide Chinese lunar Calendar Wieget for GTK+ .

## Functions

### lunar_calendar_new ()

    GtkWidget *
    lunar_calendar_new (void);

Creates a new lunar calendar, with the current date being selected.

#### Returns

a newly LunarCalendar widget

### lunar_calendar_set_holiday_rgba ()

    void
    lunar_calendar_set_holiday_rgba (LunarCalendar *calendar,
                                     const GdkRGBA *rgba);

Setup the holiday color.

#### Parameters

calendar | a LunarCalendar |
rgba | the holiday rgba. |

### lunar_calendar_set_jieri_color ()

    void
    lunar_calendar_set_jieri_color (LunarCalendar *calendar,
                                    const GdkColor *color);

`lunar_calendar_set_jieri_color` is deprecated and should not be used in newly-written code.

Setup the holiday(jieri) color.

#### Parameters

calendar | a LunarCalendar |
color | the holiday color. |

## Signal Details

### The `“activate”` signal

    void
    user_function (LunarCalendar *widget,
                   gpointer       user_data)

The ::activate signal on LunarCalendar is an action signal and emitting it causes the calendar selected day. Applications should never connect to this signal, but use the “activate” signal.

#### Parameters

widget | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Action